# Gaussian DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils
from chemsh.data  import unitconvert

water = Fragment(coords='another_water.xyz')

orca = ORCA(frag=water, method='sTDDFT',
            functional='CAM-B3LYP', basis='def2-SV(P)',
            stddft_ethresh=10.0,
            stddft_pthresh=1.0e-04,
            stddft_ptlimit=30)

# analytical gradients of sTD-DFT hasn't been implemented in ORCA
sp = SP(theory=orca, gradients=False)

sp.run()

# ground state energy in Hatree from standalone ORCA v5.0.3
eref_0 = -76.25349273
testutils.validate(sp.result.energy, eref_0)


#testutils.validate(sp.result.energy, eref_0)
#testutils.validate(fcalc_exc, fref_exc)
